ActaText Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ActaText Class Reference

the main class to read the text part of Acta Text file More...

`#include <ActaText.hxx>`

## Public Member Functions
| ActaText (ActaParser &parser)
| constructor More...
virtual | ~ActaText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
bool | createZones ()
| try to create the text zones More...
bool | sendMainText ()
| send a main zone More...
bool | getColor (int id, MWAWColor &col) const
| return the color which corresponds to an id (if possible) More...
bool | readTopic ()
| try to read the topic definitions (line or graphic) More...
bool | sendTopic (ActaTextInternal::Topic const &topic)
| try to send a topic More...
bool | sendText (ActaTextInternal::Topic const &topic)
| try to read a text entry More...
bool | sendGraphic (ActaTextInternal::Topic const &topic)
| try to read a graphic More...
bool | readFont (MWAWFont &font, bool inPLC)
| try to read a font More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ActaTextInternal::State > | m_state
| the state More...
ActaParser * | m_mainParser
| the main parser More...

## Private Member Functions
| ActaText (ActaText const &orig)
ActaText & | operator= (ActaText const &orig)

## Friends
class | ActaParser

## Detailed Description

the main class to read the text part of Acta Text file

## Constructor & Destructor Documentation

## ◆ ActaText() [1/2]

ActaText::ActaText | ( | ActaParser & | parser | ) |
| explicit

constructor

## ◆ ~ActaText()

ActaText::~ActaText | ( |  | ) |
| virtual

destructor

## ◆ ActaText() [2/2]

ActaText::ActaText | ( | ActaText const & | orig | ) |
| private

## Member Function Documentation

## ◆ createZones()

bool ActaText::createZones | ( |  | ) |
| protected

try to create the text zones

## ◆ getColor()

bool ActaText::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  | const
| protected

return the color which corresponds to an id (if possible)

Referenced by readTopic().

## ◆ numPages()

int ActaText::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

ActaText& ActaText::operator= | ( | ActaText const & | orig | ) |
| private

## ◆ readFont()

bool ActaText::readFont | ( | MWAWFont & | font,
|  | bool | inPLC
| ) |  |
| protected

try to read a font

Referenced by readTopic(), and sendText().

## ◆ readTopic()

bool ActaText::readTopic | ( |  | ) |
| protected

try to read the topic definitions (line or graphic)

Referenced by createZones().

## ◆ sendGraphic()

bool ActaText::sendGraphic | ( | ActaTextInternal::Topic const & | topic | ) |
| protected

try to read a graphic

Referenced by sendTopic().

## ◆ sendMainText()

bool ActaText::sendMainText | ( |  | ) |
| protected

send a main zone

## ◆ sendText()

bool ActaText::sendText | ( | ActaTextInternal::Topic const & | topic | ) |
| protected

try to read a text entry

Referenced by sendTopic().

## ◆ sendTopic()

bool ActaText::sendTopic | ( | ActaTextInternal::Topic const & | topic | ) |
| protected

try to send a topic

Referenced by sendMainText().

## ◆ version()

int ActaText::version | ( |  | ) | const

returns the file version

Referenced by createZones(), getColor(), and readTopic().

## Friends And Related Function Documentation

## ◆ ActaParser

friend class ActaParser
| friend

## Member Data Documentation

## ◆ m_mainParser

ActaParser* ActaText::m_mainParser
| protected

the main parser

Referenced by sendMainText(), and sendTopic().

## ◆ m_parserState

MWAWParserStatePtr ActaText::m_parserState
| protected

the parser state

Referenced by createZones(), readFont(), readTopic(), sendGraphic(), sendText(), sendTopic(), and version().

## ◆ m_state

shared_ptr<ActaTextInternal::State> ActaText::m_state
| protected

the state

Referenced by createZones(), getColor(), numPages(), readTopic(), sendMainText(), sendTopic(), and version().

The documentation for this class was generated from the following files:

- ActaText.hxx
- ActaText.cxx